Last Comment Bug 264931 - l10n CVS request: Japanese (ja-JP) - Asai Tomoya <dynamis-bugzilla@skillup.jp>
: l10n CVS request: Japanese (ja-JP) - Asai Tomoya <dynamis-bugzilla@skillup.jp>
Status: RESOLVED FIXED
voucher, sshkey
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Marcia Knous [:marcia - use ni]
: Daniel (Leaf) Nunes
Mentors:
http://www.mozilla-japan.org/jp/l10n/
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-18 11:30 PDT by dynamis (Tomoya ASAI)
Modified: 2010-08-22 18:26 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
ssh public key (597 bytes, text/plain)
2004-10-18 11:32 PDT, dynamis (Tomoya ASAI)
no flags Details
Readme.txt in Japanese (utf-8) (240 bytes, text/plain)
2004-10-20 13:28 PDT, dynamis (Tomoya ASAI)
no flags Details
toolkit/locales/ja-JP/defines.inc (41 bytes, text/plain)
2004-10-20 13:37 PDT, dynamis (Tomoya ASAI)
no flags Details
browser/locales/ja-JP/defines.inc (utf-8, not escaped) (444 bytes, text/plain)
2004-10-20 13:41 PDT, dynamis (Tomoya ASAI)
no flags Details

Description dynamis (Tomoya ASAI) 2004-10-18 11:30:57 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; ja-JP; rv:1.7.3) Gecko/20040910
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; ja-JP; rv:1.7.3) Gecko/20040910

I'm L10n staff of Mozilla-Japan, the affiliate of Mozilla Foundation.
I request a cvs accunt to commit our japanese localization.

Here are our latest japanese language pack with help & inspector localization.
# some of help are not translated yet
http://ftp.mozilla-japan.org/pub/mozilla-japan/firefox/development/0.10.1/firefox-0.10.1-langjajp-0.5.14.xpi
http://ftp.mozilla-japan.org/pub/mozilla-japan/firefox/development/0.10.1/firefox-0.10.1-langjajp-mac-0.5.14.xpi
Former one is language pack for windows and unix.
Later one is for mac, whose translation for some words are different.
# some words are different in japanese according to platforms

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 dynamis (Tomoya ASAI) 2004-10-18 11:32:55 PDT
Created attachment 162494 [details]
ssh public key
Comment 2 dynamis (Tomoya ASAI) 2004-10-18 11:59:02 PDT
I faxed mozilla.org CVS Contributor Form to Marcia Knous.
I'll mail original form after this.
Comment 3 Benjamin Smedberg [:bsmedberg] 2004-10-18 15:08:57 PDT
I need to review and commit these files in the ready-for-CVS directory format,
not as a final language pack.
Comment 4 dynamis (Tomoya ASAI) 2004-10-20 05:53:38 PDT
Sorry, is this directory format OK for CVS?
http://skillup.jp/firefox/cvs-0.5.16.zip

I get locale files from CVS according to 
http://www.mozilla.org/projects/firefox/l10n/using-cvs.html
and make directory ja-JP and ja-JP-mac in the same directory of en-US.

I have some questions about format:

1. Which file should we select as a localization base?
Some of files from CVS are not same as those in nightly zip.
Files from CVS includes description about MLP license but files from zip doesn't.
/locale/browser/pref/pref-advanced.dtd
/locale/browser/cookieviewer/CookieViewer.dtd
/locale/browser/cookieviewer/CookieViewer.properties
...and other 12 files...
# existence of description about license is the only diff.

2. Which charset should we use in the installer file?
I don't know which charset should we use in 
toolkit/locale/ab-CD/installer/[windows/unix]/install.it
In the above zip file, I selected charset for each os. Is this wrong?
# Shift_JIS for .../windows/install.it
# EUC-JP for .../unix/install.it
I'll change charset if needed...

3. Where should inspector/help files are included?
(4. Can we change URL in help files to refer japaese screenshot?)
Comment 5 dynamis (Tomoya ASAI) 2004-10-20 13:28:21 PDT
Created attachment 162749 [details]
Readme.txt in Japanese (utf-8)
Comment 6 dynamis (Tomoya ASAI) 2004-10-20 13:37:49 PDT
Created attachment 162750 [details]
toolkit/locales/ja-JP/defines.inc
Comment 7 Benjamin Smedberg [:bsmedberg] 2004-10-20 13:40:14 PDT
(In reply to comment #4)
> Sorry, is this directory format OK for CVS?
> http://skillup.jp/firefox/cvs-0.5.16.zip

Yes, this looks good. If you fix the charset issues listed below, I can go ahead
and commit this. The "name" of the mac language will be ja-JPM in CVS.

> 1. Which file should we select as a localization base?
> Some of files from CVS are not same as those in nightly zip.
> Files from CVS includes description about MLP license but files from zip doesn't.

It's better to have the licenses, make sure you add yourself to the list of
contributors.

> 2. Which charset should we use in the installer file?
> I don't know which charset should we use in 
> toolkit/locale/ab-CD/installer/[windows/unix]/install.it

toolkit...installer/unix/install.it should be UTF-8

toolkit...installer/windows/install.it specifies what charset it is in directly
inside the file, so if you want to use Shift_JIS, write CHARSET=128

charset.mk is passed to "iconv", and must specify an encoding which matches the
CHARSET= param in windows install.it, so I suppose that should be set to SHIFT_JIS.

> 3. Where should inspector/help files are included?

browser...chrome/help
and
browser...chrome/inspector

you also need to set LOCALE_HAS_DOMI and LOCALE_HAS_HELP in your
browser...defines.inc and package the help files in extra-jar.mn (see the French
or other localizations for examples, or ask in npm.l10n or on irc #l10n).

> (4. Can we change URL in help files to refer japaese screenshot?)

Yes. You may include the help images directly in your l10n, or put them on the
web somewhere (the mozilla-japan website would be a good location).
Comment 8 dynamis (Tomoya ASAI) 2004-10-20 13:41:05 PDT
Created attachment 162751 [details]
browser/locales/ja-JP/defines.inc (utf-8, not escaped)

This file includes Japanese(multibyte) text.
I'm not sure whether this file should be utf-8 or escaped-unicode or the
else...
Comment 9 dynamis (Tomoya ASAI) 2004-10-20 15:31:03 PDT
This is updated version of locale file package for cvs.
http://skillup.jp/firefox/cvs-0.5.16.1.zip

Charset of .../unix/install.it is now UTF-8.
Readme.txt, defines.inc, extra-jar.mn and help/inspector files are included.
# charset of browser...defines.inc is utf-8.
# if escaped unicode is needed, use defines.inc.escapedunicode

Is this OK?


> It's better to have the licenses, make sure you add yourself to the list of
> contributors.

Then, why files in nightly zip file are not include licenses?
Are licensec removed under build preccess?
# If you need, I can list those 15 file who are not same between cvs and nightly.
I'll include them like files in cvs (not same as files in nightly zip) later.
Comment 10 Benjamin Smedberg [:bsmedberg] 2004-10-20 20:33:23 PDT
http://skillup.jp/firefox/cvs-0.5.16.1.zip is checked in, with the following
changes:

the browser...profile/chrome/*Chrome.css files must be in UTF-8. Mozilla does
not honor the @charset rule from these files. I committed the English version so
that your locale would build, but you should consider updating them with the
Japanese instructions, but in the UTF8 encoding.

Check the tinderbox for errors (If a build is red or orange, you can see the
errors by cliking on the "L" link):

http://tinderbox.mozilla.org/showbuilds.cgi?tree=Mozilla-l10n-ja-JP
http://tinderbox.mozilla.org/showbuilds.cgi?tree=Mozilla-l10n-ja-JPM
Comment 11 Benjamin Smedberg [:bsmedberg] 2004-10-20 22:01:35 PDT
The builds are red, you are missing some important files:

Files in
/opt2/tbox-test/obj/Linux_2.4.20-30.9_Depend/mozilla/toolkit/locales/en-US not
in /opt2/tbox-test/obj/Linux_2.4.20-30.9_Depend/mozilla/toolkit/locales/ja-JP:
  ./chrome/autoconfig
  ./chrome/global/nsWebBrowserPersist.properties
  ./chrome/global/xbl.properties
  ./chrome/mozapps/extensions/mismatch.dtd
  ./chrome/mozapps/extensions/update.dtd
Comment 12 dynamis (Tomoya ASAI) 2004-10-21 15:39:34 PDT
Sorry for bothering you.
cvs-0.5.16.zip didn't include files which are in cvs but not in nightly zip.
I added 5 files you(compare-locales.pl) indicate and 
browser/locales/ja-JPM?/firefox-l10n.js
the browser...profile/chrome/*Chrome.css files are in UTF-8 now.

In addition to this, I updated some of files.
# help in ja-JP was those for ja-JPM, and I replaced right files...

I hope this package goes well...
http://skillup.jp/firefox/cvs-0.6.1.zip
Comment 13 Myk Melez [:myk] [@mykmelez] 2004-10-22 17:42:44 PDT
Ok, your account has been created.  Your username is the email listed in the
summary of this bug, with % in place of @.  To check out the aviary branch:

cvs -d:ext:<username>@cvs.mozilla.org:/l10n co -r AVIARY_1_0_20040515_BRANCH mozilla

See the CVS over SSH FAQ for more information:

http://www.mozilla.org/cvs-ssh-faq.html

Note You need to log in before you can comment on or make changes to this bug.